ruby-plist_3.2.0-1_all.deb


Advertisement

Description

ruby-plist - all-purpose property list manipulation library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-plist
Package version 3.2.0
Package release 1
Package architecture all
Package type deb
Installed size 36 B
Download size 9.42 KB
Official Mirror archive.ubuntu.com
Plist is a library to manipulate Property List files, also known as plists.
It can parse plist files into native Ruby data structures as well as
generating new plist files from your Ruby objects.

Alternatives

Package Version Architecture Repository
ruby-plist_3.2.0-1_all.deb 3.2.0 all Ubuntu Universe
ruby-plist - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-plist_3.2.0-1_all.deb
Source Package ruby-plist

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-plist deb package:
    # sudo apt-get install ruby-plist

Files

Path
/usr/lib/ruby/vendor_ruby/plist.rb
/usr/lib/ruby/vendor_ruby/plist/generator.rb
/usr/lib/ruby/vendor_ruby/plist/parser.rb
/usr/share/doc/ruby-plist/README.rdoc.gz
/usr/share/doc/ruby-plist/changelog.Debian.gz
/usr/share/doc/ruby-plist/copyright
/usr/share/rubygems-integration/all/specifications/plist-3.2.0.gemspec

Changelog

2016-03-04 - Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>
ruby-plist (3.2.0-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update the way package was running tests.
- Use both rake and ruby-tests.rake.
* debian/control: Add line 'Testsuite: autopkgtest-pkg-ruby'
* debian/rules: Add check-dependecies
2015-04-20 - Sebastien Badia <seb@sebian.fr>
ruby-plist (3.1.0-2) unstable; urgency=medium
* Team upload.
* Add ruby-test-unit to Build-Depends for ruby2.2.
* Update Vcs-Browser to cgit URL and HTTPS.
* Bump Standards-Version to 3.9.6 (no further changes).
2013-04-12 - C├ędric Boutillier <boutil@debian.org>
ruby-plist (3.1.0-1) unstable; urgency=low
* Initial release (Closes: #705246)

See Also

Package Description
ruby-pluggaloid_1.0.2-1_all.deb Extensible plugin system for mikutter
ruby-polyglot_0.3.4-1_all.deb Custom language loaders for specified file extensions
ruby-poppler_2.2.5-4build1_i386.deb Ruby bindings for the libpoppler-glib library
ruby-posix-spawn_0.3.11-1build2_i386.deb Ruby Implementation of posix_spawn(2) for faster process spawning
ruby-powerbar_1.0.17-1_all.deb progressbar library for Ruby
ruby-powerpack_0.1.1-2build1_all.deb Useful extensions to core Ruby classes
ruby-prawn-doc_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby (documentation)
ruby-prawn-manual-builder_0.2.0-1_all.deb tool to write manuals for Prawn and Prawn accessories
ruby-prawn-table_0.2.1-1_all.deb table support for the Prawn PDF generation library
ruby-prawn_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby
ruby-progressbar_1.4.2-1_all.deb Text progress bar library for Ruby
ruby-protected-attributes_1.1.3-1_all.deb Protect attributes from mass assignment in Active Record models
ruby-pundit_1.0.1-2_all.deb object oriente authorization for rails
ruby-puppet-forge_2.1.3-1_all.deb Access the Puppet Forge API from Ruby
ruby-puppet-syntax_2.0.0-1_all.deb Syntax checks for Puppet manifests, templates, and Hiera YAML
Advertisement
Advertisement